package cz.cuni.amis.pogamut.emohawk.examples.modularsposhmoodbot;

import cz.cuni.amis.pogamut.sposh.context.EmohawkContext;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateAction;
import cz.cuni.amis.pogamut.ut2004.communication.messages.ItemType;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.Item;

/**
 * Action that causes bot to jump.
 * @author Honza
 */
@PrimitiveInfo(name = "jump", description = "Jumps the bot.")
public class Jump extends StateAction<EmohawkContext, Boolean> {

    public Jump(EmohawkContext ctx) {
        super("jump", ctx);
    }

    @Override
    public void init(VariableContext params) {
    }

    @Override
    public Boolean run(VariableContext params) {

        ctx.getMove().jump();

        return true;
    }

    @Override
    public void done(VariableContext params) {

    }
}
